mcrypt_get_block_size
mcrypt_get_iv_size
Mcrypt Functions
PHP Manual

# mcrypt_get_cipher_name

Gets the name of the specified cipher

### Description

string mcrypt_get_cipher_name ( int `$cipher` )
string mcrypt_get_cipher_name ( string `$cipher` )

mcrypt_get_cipher_name is used to get the name of the specified cipher.

mcrypt_get_cipher_name takes the cipher number as an argument (libmcrypt 2.2.x) or takes the cipher name as an argument (libmcrypt 2.4.x or higher) and returns the name of the cipher or `FALSE`, if the cipher does not exist.

### Parameters

`cipher`

  One of the `MCRYPT_ciphername` constants, or the name of the algorithm as string.

### Return Values

This function returns the name of the cipher or `FALSE` if the cipher does not exist.

### Examples

Example #1 mcrypt_get_cipher_name Example

`<?php
$cipher = MCRYPT_TripleDES;
echo mcrypt_get_cipher_name($cipher);
?>`

The above example will output:

    3DES